<%-- 
	Copyright (C) 2011 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
--%>
<%@ page 
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.BasicItem"
	import="net.sf.basedb.core.Nameable"
	import="net.sf.basedb.core.Registered"
	import="net.sf.basedb.core.Shareable"
	import="net.sf.basedb.core.Removable"
	import="net.sf.basedb.core.Ownable"
	import="net.sf.basedb.core.Reporter"
	import="net.sf.basedb.core.data.ReporterData"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.util.overview.Node"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.JspContext"
	import="net.sf.basedb.clients.web.formatter.FormatterFactory"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
//Get the JspContext that was created on the main edit page
final JspContext jspContext = (JspContext)request.getAttribute(JspContext.ATTRIBUTE_KEY);

//The current node is found in the context.
final Node node = (Node)jspContext.getCurrentItem();

// The current item should be a BasicItem
final BasicItem item = (BasicItem)node.getItem();

//Get the DbControl and SessionControl used to handle the request (do not close!)
final DbControl dc = jspContext.getDbControl();
final SessionControl sc = dc.getSessionControl();
final String ID = sc.getId();

try
{
	String name = null;
	Date registered = null;
	boolean isShared = false;
	boolean isRemoved = false;
	boolean isOwnedByYou = false;

		name = item instanceof Nameable ? ((Nameable)item).getName() : item.toString();
		if (item instanceof Registered) registered = ((Registered)item).getEntryDate();
		if (item instanceof Shareable) isShared = ((Shareable)item).isShared();
		if (item instanceof Removable) isRemoved = ((Removable)item).isRemoved();
		if (item instanceof Ownable) isOwnedByYou = ((Ownable)item).isOwner();
	

	Formatter<Date> dateFormatter = FormatterFactory.getDateFormatter(sc);
	%>
	<base:page type="include" title="Item information">
	<base:body>
			<table class="fullform larger fullborder">
			<tr>
				<th>Type</th>
				<td><%=item.getType().name()%></td>
			</tr>
			<tr>
				<th>ID</th>
				<td><%=item.getId()%></td>
			</tr>
			<tr>
				<th>Name</th>
				<td><%=name == null ? "<i>unknown</i>" : HTML.niceFormat(name)%></td>
			</tr>
			<tr>
				<th>Registration date</th>
				<td><%=registered == null ? "<i>unknown</i>" : dateFormatter.format(registered)%></td>
			</tr>
			<tr>
				<th>Owned by you?</th>
				<td><%=isOwnedByYou ? "yes" : "no"%></td>
			</tr>
			<tr>
				<th>Shared to other users?</th>
				<td><%=isShared ? "yes" : "no"%></td>
			</tr>
			<tr class="dynamic">
				<th>Marked for removal?</th>
				<td><%=isRemoved ? "yes" : "no"%></td>
			</tr>
			</table>

	</base:body>
	</base:page>
	<%
}
finally
{
	if (dc != null) dc.close();
}
%>
